import { s as script$1 } from './headerText-0fd3adc1.mjs';
import { s as script$2 } from './paragraphText-9913c76e.mjs';
import script$3 from './TsIcon.mjs';
import { s as script$4 } from './normalText-66005fcf.mjs';
import { resolveComponent, openBlock, createElementBlock, normalizeClass, createVNode, withCtx, createElementVNode, createTextVNode } from 'vue';

var script = {
    components: {
        TsHeaderText: script$1,
        TsParagraphText: script$2,
        TsIcon: script$3,
        TsNormalText: script$4,
    },
    props: {
        customClass: {
            type: String,
            default: "",
        },
    },
    name: "TsAttachmentList",
};

const _hoisted_1 = /*#__PURE__*/createTextVNode(" Attachments ");
const _hoisted_2 = { class: "w-full flex flex-row items-center justify-between" };
const _hoisted_3 = { class: "flex flex-row items-center space-x-2 flex-grow" };
const _hoisted_4 = { class: "flex flex-col mdlg:!space-y-[3px] space-y-[2px] items-start" };
const _hoisted_5 = /*#__PURE__*/createTextVNode(" Concise Mathematics - Book 1.pdf ");
const _hoisted_6 = /*#__PURE__*/createTextVNode(" 945 KB ");
const _hoisted_7 = { class: "mdlg:!py-3 mdlg:!px-3 px-2 py-2 rounded-full border-[1px] border-gray-200" };

function render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_ts_header_text = resolveComponent("ts-header-text");
  const _component_ts_icon = resolveComponent("ts-icon");
  const _component_ts_normal_text = resolveComponent("ts-normal-text");
  const _component_ts_paragraph_text = resolveComponent("ts-paragraph-text");

  return (openBlock(), createElementBlock("div", {
    class: normalizeClass(`w-full flex flex-col justify-start items-start space-y-3 pt-2 mdlg:!px-5 mdlg:!py-5 py-3 px-3 border-[1px] rounded ${$props.customClass}`)
  }, [
    createVNode(_component_ts_header_text, { size: 'base' }, {
      default: withCtx(() => [
        _hoisted_1
      ]),
      _: 1 /* STABLE */
    }),
    createElementVNode("div", _hoisted_2, [
      createElementVNode("div", _hoisted_3, [
        createVNode(_component_ts_icon, {
          name: "file",
          customClass: "mdlg:!h-[37px] h-[30px] "
        }),
        createElementVNode("div", _hoisted_4, [
          createVNode(_component_ts_normal_text, null, {
            default: withCtx(() => [
              _hoisted_5
            ]),
            _: 1 /* STABLE */
          }),
          createVNode(_component_ts_paragraph_text, {
            faded: true,
            customClass: 'text-xs'
          }, {
            default: withCtx(() => [
              _hoisted_6
            ]),
            _: 1 /* STABLE */
          })
        ])
      ]),
      createElementVNode("span", _hoisted_7, [
        createVNode(_component_ts_icon, {
          name: "download",
          customClass: "mdlg:h-[17px] h-[14px]"
        })
      ])
    ])
  ], 2 /* CLASS */))
}

script.render = render;
script.__file = "src/components/TsAttachmentList/index.vue";

export { script as default };
